Bug 737550 - Review Request: rubygem-mg - Minimal gem
Summary: Review Request: rubygem-mg - Minimal gem
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bohuslav "Slavek" Kabrda
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-12 14:26 UTC by Darryl L. Pierce
Modified: 2015-06-22 00:07 UTC (History)
4 users (show)

Fixed In Version: rubygem-mg-0.0.8-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-24 12:38:06 UTC
bkabrda: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Darryl L. Pierce 2011-09-12 14:26:48 UTC
Spec URL: http://mcpierce.fedorapeople.org/rpms/rubygem-mg.spec
SRPM URL: http://mcpierce.fedorapeople.org/rpms/rubygem-mg-0.0.8-1.fc15.src.rpm
Description: Minimal gem.

Comment 1 Bohuslav "Slavek" Kabrda 2011-10-14 07:55:29 UTC
I'm taking this one.

Comment 2 Bohuslav "Slavek" Kabrda 2011-10-14 08:07:32 UTC
- Remove unused definitions (ruby_sitelib, ruby_sitearch)
- You don't need to specify the BuildRoot, see [1]
- Be a little more verbose in the description section (you can for example add the line from README.mkd - "Minimalist way to build and publish gems using Rake. Also build tarballs.").
- Consider introducing doc subpackage and moving %doc %{gemdir}/doc/%{gemname}-%{version} into it.

- Next time, consider using gem2rpm, it saves a lot of work when packaging rubygems.


[1] https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag

Comment 3 Darryl L. Pierce 2011-10-14 12:30:10 UTC
(In reply to comment #2)
> - Remove unused definitions (ruby_sitelib, ruby_sitearch)

Done.

> - You don't need to specify the BuildRoot, see [1]

Done.

> - Be a little more verbose in the description section (you can for example add
> the line from README.mkd - "Minimalist way to build and publish gems using
> Rake. Also build tarballs.").

Done

> - Consider introducing doc subpackage and moving %doc
> %{gemdir}/doc/%{gemname}-%{version} into it.

Thanks for the suggestion. I've put that separation back into the spec.
 
> - Next time, consider using gem2rpm, it saves a lot of work when packaging
> rubygems.

This spec file -was- generated with gem2rpm.

> [1] https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag


Here are the updated files:

SPEC: http://mcpierce.fedorapeople.org/rpms/rubygem-mg.spec
SRPM: http://mcpierce.fedorapeople.org/rpms/rubygem-mg-0.0.8-1.fc15.src.rpm

Comment 4 Bohuslav "Slavek" Kabrda 2011-10-17 05:46:56 UTC
Some additional comments:
- You should bump the release number, when doing changes, and add the concrete steps into changelog (use rpmdev-bumspec).
- %doc %{geminstdir}/README.mkd should stay in the main package, as it contains the licensing information.
- Summary shouldn't end with period, see [1].


[1] https://fedoraproject.org/wiki/How_to_create_an_RPM_package#Spec_file_pieces_explained

Comment 5 Darryl L. Pierce 2011-10-17 12:09:22 UTC
(In reply to comment #4)
> Some additional comments:
> - You should bump the release number, when doing changes, and add the concrete
> steps into changelog (use rpmdev-bumspec).
> - %doc %{geminstdir}/README.mkd should stay in the main package, as it contains
> the licensing information.

Done.

> - Summary shouldn't end with period, see [1].

Done.

Here are the updated files:
SPEC: http://mcpierce.fedorapeople.org/rpms/rubygem-mg.spec
SRPM: http://mcpierce.fedorapeople.org/rpms/rubygem-mg-0.0.8-2.fc15.src.rpm

Comment 6 Bohuslav "Slavek" Kabrda 2011-10-18 08:30:56 UTC
Looks ok now, this package is APPROVED.

Comment 7 Darryl L. Pierce 2011-10-18 10:41:51 UTC
Thank you!

New Package SCM Request
=======================
Package Name: rubygem-mg
Short Description: Minimalist way to build and publish gems using Rake. Also build tarballs
Owners: mcpierce
Branches: f15 f16
InitialCC: mcpierce

Comment 8 Gwyn Ciesla 2011-10-18 12:13:33 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2011-10-18 13:03:30 UTC
rubygem-mg-0.0.8-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rubygem-mg-0.0.8-2.fc15

Comment 10 Fedora Update System 2011-10-18 17:05:34 UTC
rubygem-mg-0.0.8-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rubygem-mg-0.0.8-2.fc16

Comment 11 Fedora Update System 2011-10-18 22:17:28 UTC
rubygem-mg-0.0.8-2.fc15 has been pushed to the Fedora 15 testing repository.

Comment 14 Fedora Update System 2011-12-21 16:57:29 UTC
rubygem-mg-0.0.8-2.fc16 has been pushed to the Fedora 16 stable repository.

Comment 15 Fedora Update System 2011-12-21 17:12:24 UTC
rubygem-mg-0.0.8-2.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.